package com.czg.enums;

import lombok.Getter;

/**
 * 台桌状态枚举
 * @author Administrator
 */

@Getter
public enum ShopTableStatusEnum {
    // 空闲
    IDLE("idle"),
    // 使用中
    USING("using"),
    // 关台
    CLOSED("closed"),
    // 预定
    SUBSCRIBE("subscribe"),
    // 清台
    CLEANING("cleaning");
    private final String value;

    ShopTableStatusEnum(String value) {
        this.value = value;
    }

    public boolean equalsVal(String val) {
        return val.equals(value);
    }
}
